commit:     b619de07be8d1e7c6d7242279e0059bf24bce959
Author:     David Roman <davidroman96 <AT> gmail <DOT> com>
AuthorDate: Wed Aug 20 09:58:30 2025 +0000
Commit:     David Roman <davidroman96 <AT> gmail <DOT> com>
CommitDate: Wed Aug 20 09:58:30 2025 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=b619de07

app-mobilephone/flashlight: reload udev rules on pkg_post{inst,rm}

Closes: https://bugs.gentoo.org/901155
Signed-off-by: David Roman <davidroman96 <AT> gmail.com>

 .../flashlight/flashlight-0.1.1-r3.ebuild          | 39 ++++++++++++++++++++++
 1 file changed, 39 insertions(+)

diff --git a/app-mobilephone/flashlight/flashlight-0.1.1-r3.ebuild 
b/app-mobilephone/flashlight/flashlight-0.1.1-r3.ebuild
new file mode 100644
index 0000000000..145527f508
--- /dev/null
+++ b/app-mobilephone/flashlight/flashlight-0.1.1-r3.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit meson gnome2-utils udev
+
+MY_COMMIT="f5feb4b3d17bbf16171d716bbb8e28f3a84542ef"
+
+DESCRIPTION="It's a flashlight, what do you expect?"
+HOMEPAGE="https://gitlab.com/a-wai/flashlight.git";
+SRC_URI="https://gitlab.com/a-wai/flashlight/-/archive/${MY_COMMIT}.tar.gz -> 
${P}.tar.gz"
+
+S="${WORKDIR}/${PN}-${MY_COMMIT}"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64"
+
+RDEPEND="x11-libs/gtk+"
+BDEPEND="dev-lang/python-exec[native-symlinks]"
+
+src_install() {
+       meson_src_install
+       udev_dorules "${FILESDIR}/60-flashlight.rules"
+       mv "${D}/usr/share/appdata" "${D}/usr/share/metainfo" || die
+}
+
+pkg_postinst() {
+       gnome2_schemas_update
+       xdg_desktop_database_update
+       udev_reload
+}
+
+pkg_postrm() {
+       gnome2_schemas_update
+       xdg_icon_cache_update
+       udev_reload
+}

Reply via email to